<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XDGFStyleSheet (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XDGFStyleSheet (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDGFStyleSheet.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html"
               title="class in org.apache.poi.xdgf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFText.html"
               title="class in org.apache.poi.xdgf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xdgf/usermodel/XDGFStyleSheet.html"
               target="_top">Frames</a></li>
        <li><a href="XDGFStyleSheet.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.xdgf.usermodel.XDGFSheet">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xdgf.usermodel</div>
    <h2 title="Class XDGFStyleSheet" class="title">Class XDGFStyleSheet</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html"
                       title="class in org.apache.poi.xdgf.usermodel">org.apache.poi.xdgf.usermodel.XDGFSheet</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.xdgf.usermodel.XDGFStyleSheet</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">XDGFStyleSheet</span>
extends <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html"
           title="class in org.apache.poi.xdgf.usermodel">XDGFSheet</a></pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.xdgf.usermodel.XDGFSheet">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.xdgf.usermodel.<a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFSheet</a></h3>
                                <code><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#Z:Z_cells">_cells</a>,
                                    <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#Z:Z_character">_character</a>,
                                    <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#Z:Z_document">_document</a>,
                                    <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#Z:Z_geometry">_geometry</a>,
                                    <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#Z:Z_sections">_sections</a>,
                                    <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#Z:Z_sheet">_sheet</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFStyleSheet.html#XDGFStyleSheet-com.microsoft.schemas.office.visio.x2012.main.StyleSheetType-org.apache.poi.xdgf.usermodel.XDGFDocument-">XDGFStyleSheet</a></span>(com.microsoft.schemas.office.visio.x2012.main.StyleSheetType&nbsp;styleSheet,
                                    <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFDocument.html"
                                       title="class in org.apache.poi.xdgf.usermodel">XDGFDocument</a>&nbsp;document)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst">
                                    <code>com.microsoft.schemas.office.visio.x2012.main.StyleSheetType</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFStyleSheet.html#getXmlObject--">getXmlObject</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.xdgf.usermodel.XDGFSheet">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.xdgf.usermodel.<a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFSheet</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#getCell-java.lang.String-">getCell</a>,
                                    <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#getDocument--">getDocument</a>,
                                    <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#getFillStyle--">getFillStyle</a>,
                                    <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#getFontColor--">getFontColor</a>,
                                    <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#getFontSize--">getFontSize</a>,
                                    <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#getLineCap--">getLineCap</a>,
                                    <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#getLineColor--">getLineColor</a>,
                                    <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#getLinePattern--">getLinePattern</a>,
                                    <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#getLineStyle--">getLineStyle</a>,
                                    <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#getLineWeight--">getLineWeight</a>,
                                    <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#getSection-java.lang.String-">getSection</a>,
                                    <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#getTextStyle--">getTextStyle</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XDGFStyleSheet-com.microsoft.schemas.office.visio.x2012.main.StyleSheetType-org.apache.poi.xdgf.usermodel.XDGFDocument-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XDGFStyleSheet</h4>
                                <pre>public&nbsp;XDGFStyleSheet(com.microsoft.schemas.office.visio.x2012.main.StyleSheetType&nbsp;styleSheet,
                      <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFDocument.html"
                         title="class in org.apache.poi.xdgf.usermodel">XDGFDocument</a>&nbsp;document)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getXmlObject--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getXmlObject</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;com.microsoft.schemas.office.visio.x2012.main.StyleSheetType&nbsp;getXmlObject()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDGFStyleSheet.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html"
               title="class in org.apache.poi.xdgf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFText.html"
               title="class in org.apache.poi.xdgf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xdgf/usermodel/XDGFStyleSheet.html"
               target="_top">Frames</a></li>
        <li><a href="XDGFStyleSheet.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.xdgf.usermodel.XDGFSheet">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
